#define rsh_fwd(PORT, PROTO, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA) \
if (tcp_type()) { \
	if (match(TCP_dstport,PORT)) { \
		if (fwd(PROTO, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA)) { \
			halt; \
		} \
	} \
}
